Skip to main content
GET
/
api
/
v2
/
apps
/
{app_id}
/
owners
/
users
/
{role_slug}
/
{user_ref_id}
GetUserOwner
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppOwnersV2.GetUserOwner(ctx, operations.C1APIAppV2AppOwnersGetUserOwnerRequest{
        AppID: "<id>",
        RoleSlug: "<value>",
        UserRefID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.GetUserOwnerResponse != nil {
        // handle response
    }
}
{
  "appOwnerUser": {
    "appId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "roleSlug": "<string>",
    "user": {
      "createdAt": "2023-11-07T05:31:56Z",
      "delegatedUserId": "<string>",
      "deletedAt": "2023-11-07T05:31:56Z",
      "department": "<string>",
      "departmentSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "directoryIds": [
        "<string>"
      ],
      "directoryStatus": "UNKNOWN",
      "directoryStatusSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "displayName": "<string>",
      "email": "<string>",
      "emailSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "emails": [
        "<string>"
      ],
      "employeeIdSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "employeeIds": [
        "<string>"
      ],
      "employmentStatus": "<string>",
      "employmentStatusSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "employmentType": "<string>",
      "employmentTypeSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "id": "<string>",
      "jobTitle": "<string>",
      "jobTitleSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "managerIds": [
        "<string>"
      ],
      "managerSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "origin": "USER_ORIGIN_UNSPECIFIED",
      "profile": {},
      "roleIds": [
        "<string>"
      ],
      "status": "UNKNOWN",
      "type": "USER_TYPE_UNSPECIFIED",
      "updatedAt": "2023-11-07T05:31:56Z",
      "username": "<string>",
      "usernameSources": [
        {
          "appId": "<string>",
          "appUserId": "<string>",
          "appUserProfileAttributeKey": "<string>",
          "userAttributeMappingId": "<string>",
          "value": "<string>"
        }
      ],
      "usernames": [
        "<string>"
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

role_slug
string
required

The roleSlug field.

user_ref_id
string
required

The id of the user.

Response

200 - application/json

GetUserOwnerResponse is the response for getting a user ownership source.

GetUserOwnerResponse is the response for getting a user ownership source.

appOwnerUser
App Owner User · object

AppOwnerUser represents a user ownership source for an app.